Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class BeanFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory

    class BeanFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Version:
  \$Revision: 7953 \$

Since:
  Groovy 1.1

Field Summary
`protected boolean` | `leaf`

Property Summary
`Class` | `beanClass`

Constructor Summary
`BeanFactory(Class beanClass)`
`BeanFactory(Class beanClass, boolean leaf)`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### leaf

    protected final boolean leaf

Property Detail

### beanClass

    final Class beanClass

Constructor Detail

### BeanFactory

    BeanFactory(Class beanClass)

### BeanFactory

    BeanFactory(Class beanClass, boolean leaf)

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.